Subject: Re: bug#25415: MySQL "server has gone away" when reloading database dump due to "max_allowed_packet" default

From: zimoun <[email-masked]>
Date: Fri, 26 Nov 2021 02:51:48 +0100

Hi Ben,

I hope you are well.

On Tue, 12 Oct 2021 at 23:42, zimoun <[email-masked]> wrote:
> On Tue, 14 Sep 2021 at 13:51, zimoun <[email-masked]> wrote:
>> On Fri, 13 Jan 2017 at 10:29, Ben Sturmfels <[email-masked]> wrote:
>>> On 13/01/17 01:22, Ludovic Courtès wrote:
>>>
>>>>> Could it be worth setting max_allowed_packet to 16M in Guix's
>>>>> `mysql-configuration-file` function for consistency with Debian?
>>>>
>>>> Definitely.  I would add a ‘max-allowed-packet’ field in
>>>> <mysql-configuration> in (gnu services databases) and make sure it’s
>>>> honored.
>>>>
>>>> Would you like to give it a try?
>>>
>>> Sure, I'll give it a shot!
>>>
>>> It looks as though the MariaDB source comes with a settings file for
>>> Debian that includes max-allowed-packet=16M:
>>>
>>>   mariadb-XX.XX.XX/debian/additions/my.cnf
>>>
>>> Would you recommend adding just max-allowed-packet, or would it be worth
>>> applying all these settings in this file?

The bug#25415 [1] is about MySQL and a patch seems required.

Would you like give a try?

1: <http://issues.guix.gnu.org/issue/25415>

Cheers,
simon